Skip to main content
GET
/
v2
/
ticket-feedback
List Ticket Feedback
curl --request GET \
  --url https://public.api.serval.com/v2/ticket-feedback \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "detailed": {
        "starRating": 123,
        "textFeedback": "<string>"
      },
      "id": "<string>",
      "ticketId": "<string>",
      "targetUserId": "<string>",
      "feedbackSubjectType": "FEEDBACK_SUBJECT_TYPE_UNSPECIFIED",
      "feedbackAboutUserId": "<string>",
      "requestedAt": "2023-11-07T05:31:56Z",
      "respondedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

The ID of the team to list feedback for.

pageSize
integer<int32>

Maximum number of results to return. Default is 5000, maximum is 5000.

pageToken
string

Token for pagination. Leave empty for the first request.

requestedAfter.seconds

Optional. Only include feedback requested at or after this time. Unix timestamp in seconds.

includeUnansweredRequests
boolean

Optional. Include unanswered feedback requests in the results. If true, all feedback is returned (both answered and unanswered). If false or omitted, only answered feedback is returned.

Response

Success

data
(Detailed · object | Thumbs · object)[]

Detailed feedback with star rating and optional text.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.